// ODBC_StockView.h : interface of the CODBC_StockView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ODBC_STOCKVIEW_H__70016120_1FC6_11D4_9FB3_080009EE62AA__INCLUDED_)
#define AFX_ODBC_STOCKVIEW_H__70016120_1FC6_11D4_9FB3_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CODBC_StockView : public CFormView
{
protected: // create from serialization only
	CODBC_StockView();
	DECLARE_DYNCREATE(CODBC_StockView)

public:
	//{{AFX_DATA(CODBC_StockView)
	enum { IDD = IDD_ODBC_STOCK_FORM };
	CTabCtrl	m_Tab;
	//}}AFX_DATA

	CStockPage m_StockPage;
	CPortfolioPage m_PortfolioPage;


// Attributes
public:
	CODBC_StockDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CODBC_StockView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CODBC_StockView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CODBC_StockView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSelchangeStocktab(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ODBC_StockView.cpp
inline CODBC_StockDoc* CODBC_StockView::GetDocument()
   { return (CODBC_StockDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ODBC_STOCKVIEW_H__70016120_1FC6_11D4_9FB3_080009EE62AA__INCLUDED_)
